const axios = require("axios")
const puppeteer = require("puppeteer")

async function serach(name) {
    const list = await axios.get(`https://ptgen.theluyuan.com/?search=${name}&source=douban`, {
        proxy: false,
    })
    return list.data.data
}


async function getinfo(url) {
    const info = await axios.get(url,{
        proxy: false,
    })
    return info.data.format
}

module.exports = {
    serach,
    getinfo
}